MDL-23227 fixed stupid coding errors, mod restriction settings work again
authorPetr Skoda <skodak@moodle.org>
Thu, 15 Jul 2010 18:24:20 +0000 (18:24 +0000)
committerPetr Skoda <skodak@moodle.org>
Thu, 15 Jul 2010 18:24:20 +0000 (18:24 +0000)
course/lib.php

index 7335c69..832bb5b 100644 (file)
@@ -3503,7 +3503,7 @@ function create_course($data, $editoroptions = NULL) {
     // update module restrictions
     if ($course->restrictmodules) {
         if (isset($data->allowedmods)) {
-            update_restricted_mods($course, $allowedmods);
+            update_restricted_mods($data->allowedmods);
         } else {
             if (!empty($CFG->defaultallowedmodules)) {
                 update_restricted_mods($course, explode(',', $CFG->defaultallowedmodules));
@@ -3591,7 +3591,7 @@ function update_course($data, $editoroptions = NULL) {
 
     // update module restrictions
     if (isset($data->allowedmods)) {
-        update_restricted_mods($course, $allowedmods);
+        update_restricted_mods($course, $data->allowedmods);
     }
 
     // Save any custom role names.